import React from 'react';
import Handsontable from 'handsontable/base';
import { EditorScopeIdentifier, HotEditorProps } from './types';
interface BaseEditorProps extends HotEditorProps {
    editorColumnScope?: EditorScopeIdentifier;
    emitEditorInstance?: (editor: BaseEditorComponent, column: EditorScopeIdentifier) => void;
}
declare class BaseEditorComponent<P = {}, S = {}, SS = any> extends React.Component<P & BaseEditorProps, S, SS> implements Handsontable.editors.BaseEditor {
    name: string;
    instance: any;
    row: any;
    col: any;
    prop: any;
    TD: any;
    originalValue: any;
    cellProperties: any;
    state: any;
    hotInstance: any;
    hotCustomEditorInstance: any;
    hot: any;
    componentDidMount(): void;
    componentDidUpdate(): void;
    private _fireCallbacks;
    beginEditing(...args: any[]): any;
    cancelChanges(...args: any[]): any;
    checkEditorSection(...args: any[]): any;
    close(...args: any[]): any;
    discardEditor(...args: any[]): any;
    enableFullEditMode(...args: any[]): any;
    extend(...args: any[]): any;
    finishEditing(...args: any[]): any;
    focus(...args: any[]): any;
    getValue(...args: any[]): any;
    init(...args: any[]): any;
    isInFullEditMode(...args: any[]): any;
    isOpened(...args: any[]): any;
    isWaiting(...args: any[]): any;
    open(...args: any[]): any;
    prepare(row: any, col: any, prop: any, TD: any, originalValue: any, cellProperties: any): any;
    saveValue(...args: any[]): any;
    setValue(...args: any[]): any;
    addHook(...args: any[]): any;
    removeHooksByKey(...args: any[]): any;
    clearHooks(...args: any[]): any;
    getEditedCell(...args: any[]): any;
    getEditedCellRect(...args: any[]): any;
    getEditedCellsZIndex(...args: any[]): any;
}
export default BaseEditorComponent;
export { BaseEditorComponent };
