import React from 'react';
import { HotTableProps, HotColumnProps } from './types';
import Handsontable from 'handsontable/base';
declare class HotColumn extends React.Component<HotColumnProps, {}> {
    internalProps: string[];
    columnSettings: Handsontable.ColumnSettings;
    /**
     * Filter out all the internal properties and return an object with just the Handsontable-related props.
     *
     * @returns {Object}
     */
    getSettingsProps(): HotTableProps;
    /**
     * Get the editor element for the current column.
     *
     * @returns {React.ReactElement} React editor component element.
     */
    getLocalEditorElement(): React.ReactElement | null;
    /**
     * Create the column settings based on the data provided to the `HotColumn` component and it's child components.
     */
    createColumnSettings(): void;
    /**
     * Emit the column settings to the parent using a prop passed from the parent.
     */
    emitColumnSettings(): void;
    /**
     * Logic performed after the mounting of the HotColumn component.
     */
    componentDidMount(): void;
    /**
     * Logic performed after the updating of the HotColumn component.
     */
    componentDidUpdate(): void;
    /**
     * Render the portals of the editors, if there are any.
     *
     * @returns {React.ReactElement}
     */
    render(): React.ReactElement;
}
export { HotColumn };
